Bug 604477 - SELinux is preventing /usr/bin/guitarix from loading /usr/lib/libzita-convolver.so.2.0.0 which requires text relocation.
SELinux is preventing /usr/bin/guitarix from loading /usr/lib/libzita-convolv...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:2273de0623d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 22:11 EDT by Geoff King
Modified: 2010-06-16 06:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-16 06:00:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoff King 2010-06-15 22:11:16 EDT
Summary:

SELinux is preventing /usr/bin/guitarix from loading
/usr/lib/libzita-convolver.so.2.0.0 which requires text relocation.

Detailed Description:

The guitarix application attempted to load /usr/lib/libzita-convolver.so.2.0.0
which requires text relocation. This is a potential security problem. Most
libraries do not need this permission. Libraries are sometimes coded incorrectly
and request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/libzita-convolver.so.2.0.0 to use relocation as a workaround, until the
library is fixed. Please file a bug report.

Allowing Access:

If you trust /usr/lib/libzita-convolver.so.2.0.0 to run correctly, you can
change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/libzita-convolver.so.2.0.0'" You must also change the default file
context files on the system in order to preserve them even on a full relabel.
"semanage fcontext -a -t textrel_shlib_t '/usr/lib/libzita-convolver.so.2.0.0'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/libzita-convolver.so.2.0.0'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/libzita-convolver.so.2.0.0 [ file ]
Source                        jconvolver
Source Path                   /usr/bin/jconvolver
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           guitarix-0.08.0-1.fc12
Target RPM Packages           zita-convolver-2.0.0-1.1.fc12.ccrma
Policy RPM                    selinux-policy-3.6.32-116.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.14-127.fc12.i686 #1 SMP
                              Fri May 28 05:04:10 UTC 2010 i686 i686
Alert Count                   5
First Seen                    Sat 10 Apr 2010 08:56:40 PM EDT
Last Seen                     Tue 15 Jun 2010 09:59:06 PM EDT
Local ID                      96bd991d-c7f7-4472-aeb0-b03344fda1ea
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276653546.588:27048): avc:  denied  { execmod } for  pid=2778 comm="guitarix" path="/usr/lib/libzita-convolver.so.2.0.0" dev=dm-0 ino=88877 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1276653546.588:27048): arch=40000003 syscall=125 success=no exit=-13 a0=8f3000 a1=5000 a2=5 a3=bfbb69f0 items=0 ppid=1 pid=2778 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="guitarix" exe="/usr/bin/guitarix" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  allow_execmod,jconvolver,unconfined_t,lib_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
#!!!! This avc can be allowed using the boolean 'allow_execmod'

allow unconfined_t lib_t:file execmod;
Comment 1 Miroslav Grepl 2010-06-16 06:00:11 EDT
Execute:

chcon -t textrel_shlib_t '/usr/lib/libzita-convolver.so.2.0.0'


To make this permanent:

semanage fcontext -a -t textrel_shlib_t '/usr/lib/libzita-convolver.so.2.0.0

Note You need to log in before you can comment on or make changes to this bug.